새로운 문서를 작성 중입니다.새 문서로 이동
ClawOps Docs
API Reference

인증 취소

DELETE
/v2/verifications/{verificationId}

진행 중인 인증을 취소합니다. 204 가 아니라 200 과 함께 리소스를 돌려줍니다 — 취소 시각이 필요하기 때문입니다. 이미 끝난 건은 422 already_settled 입니다.

Authorization

BearerAuth
AuthorizationBearer <token>

API Key를 Bearer 토큰으로 전달

In: header

Path Parameters

verificationId*string

Response Body

application/json

application/json

application/json

application/json

curl -X DELETE "https://example.com/v2/verifications/VE1a2b3c4d5e6f7a8b"
{
  "verificationId": "VE1a2b3c4d5e6f7a8b",
  "status": "pending",
  "channel": "sms",
  "to": "01012345678",
  "from": "07052358010",
  "codeLength": 6,
  "remainingAttempts": 5,
  "expiresAt": "2019-08-24T14:15:22Z",
  "createdAt": "2019-08-24T14:15:22Z",
  "verifiedAt": "2019-08-24T14:15:22Z",
  "instruction": {
    "type": "string",
    "sendTo": "string",
    "body": "string",
    "callTo": "string",
    "code": "string",
    "deadline": "2019-08-24T14:15:22Z"
  }
}
{
  "error": "string",
  "code": "recipient_blocked",
  "ip": "52.79.213.41",
  "blockers": [
    {
      "number": "07012340002",
      "code": "number_not_carrier_issued",
      "message": "이용증명원은 한국AI통신이 개통한 070·대표번호만 발급됩니다."
    }
  ]
}
{
  "error": "string",
  "code": "recipient_blocked",
  "ip": "52.79.213.41",
  "blockers": [
    {
      "number": "07012340002",
      "code": "number_not_carrier_issued",
      "message": "이용증명원은 한국AI통신이 개통한 070·대표번호만 발급됩니다."
    }
  ]
}
{
  "error": "string",
  "code": "recipient_blocked",
  "ip": "52.79.213.41",
  "blockers": [
    {
      "number": "07012340002",
      "code": "number_not_carrier_issued",
      "message": "이용증명원은 한국AI통신이 개통한 070·대표번호만 발급됩니다."
    }
  ]
}